ADDDEBUG(1)

NAME
adddebug - Makefile'ide muutmine silumisinfo lisamiseks

SYNOPSIS

adddebug [-k] [-r] [-n]

KIRJELDUS

adddebug muudab Makefile'i aktiivses kataloogis (lisavõimalusena ka alamkataloogides) silumisinfo lisamiseks (-g3). Samuti eemaldab see optimeerimise (-O[1-9]).

See utiliit kuulub KDE tarkvaraarenduse komplekti koosseisu.

VõTMED

-k  Optimeerimine säilitatakse (ei eemaldata lippe -O[1-9]?, mille skript vaikimisi eemaldab).

-r  Rekursiivselt otsitakse läbi kõik aktiivse kataloogi alamkataloogid ning töödeldakse kõiki leitud Makefile'e.

-n  Kompileeritakse NDEBUG ja NO_DEBUG definitsioonita (paneb tööle kDebug väljakutsed).

AUTHOR
Ben Burton.